Bug 956125 (CVE-2013-3233)

Summary: CVE-2013-3233 Kernel: NFC: llcp: info leaks via msg_name in llcp_sock_recvmsg
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mcressma, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130407,reported=20130414,source=oss-security,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-09 14:11:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 956129    
Bug Blocks: 858947    

Description Prasad J Pandit 2013-04-24 06:24:30 EDT
Linux kernel built with the Near Field Communication(CONFIG_NFC) subsystem
along with the Logical Link Control Protocol(CONFIG_NFC_LLCP) support is
vulnerable to an information leakage flaw. It occurs while receiving messages
via recvmsg(2) call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/d26d6504f23e803824e8ebd14e52d4fc0a0b09cb

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/04/14/3
Comment 1 Prasad J Pandit 2013-04-24 06:27:58 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2013-04-24 06:29:26 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 956129]
Comment 3 Fedora Update System 2013-04-26 20:08:05 EDT
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-05-03 20:08:00 EDT
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.